//============ POPUP ==============//
.popup-enter-active,
.popup-leave-active {
  transition: all 0.4s cubic-bezier(0.25, 0.1, 0.17, 1.84);
}

.popup-leave-to,
.popup-enter {
  opacity: 0;
  transform: scale(0.5, 0.5);
}

//============ zoom-out-in ==============//
.zoom-out-in-enter-active,
.zoom-out-in-leave-active {
  transition: all 0.3s ease-out;
}

.zoom-out-in-leave-to,
.zoom-out-in-enter {
  opacity: 0;
  transform: scale(0.8, 0.8);
}

//============ fade ==============//
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.4s;
}

.fade-leave-to,
.fade-enter {
  opacity: 0;
}

//============ slides ==============//
.slide-x-enter-active,
.slide-x-leave-active {
  transition: all 0.3s ease-out;
}

.slide-x-leave-to,
.slide-x-enter {
  opacity: 0;
}

.slide-x-leave-to {
  transform: translateX(-100%);
  //position: absolute;
}

.slide-x-enter {
  transform: translateX(100%);
}

.direction-prev {
  .slide-x-leave-to {
    transform: translateX(100%);
  }

  .slide-x-enter {
    transform: translateX(-100%);
  }
}
